Bug 199812 - ACPI: Unable to turn cooling device [ffff81007ffa6810] 'on' is spewed repeatedly on the console
ACPI: Unable to turn cooling device [ffff81007ffa6810] 'on' is spewed repeate...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
: Patch, Triaged
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-07-22 10:25 EDT by David Nielsen
Modified: 2009-12-18 00:52 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 00:52:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (39.63 KB, text/plain)
2006-07-22 10:25 EDT, David Nielsen
no flags Details

  None (edit)
Description David Nielsen 2006-07-22 10:25:31 EDT
Description of problem:
The following message:
ACPI: Unable to turn cooling device [ffff81007ffa6810] 'on'
is spammed on my virtual consoles about every 10 secs or so, ontop of every
application making cli very hard to use

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2432.fc6

How reproducible:
100%

Steps to Reproduce:
1. boot kernel-2.6.17-1.2432.fc6

  
Actual results:
Notice obsene amount of failure messages

Expected results:
Preferable: 
No failure messages

Acceptable:
At least not having the message spewed all over my screen so I would in fact be
able to use a virtual console to recover my system in case of an emergency.

Additional info:
AMD64 X2 4400+ running Development 20060722
Comment 1 David Nielsen 2006-07-22 10:25:32 EDT
Created attachment 132864 [details]
dmesg output
Comment 2 David Nielsen 2006-09-06 12:09:32 EDT
Still happens with kernel-2.6.17-1.2617.2.1.fc6
Comment 3 Andrew Ziem 2006-10-21 15:09:53 EDT
I'm also getting the same error many times to /var/log/message.  I have an AMD
XP 3000+ (32-bit) in a Compaq Presario S6000Z, and I use Fedora Core 5 with
kernel 2.6.18-1.2200.fc5 .

Oct 21 12:52:53 z kernel: ACPI: Unable to turn cooling device [ebec0dec] 'on'
Oct 21 12:53:24 z last message repeated 73 times
Oct 21 12:54:25 z last message repeated 143 times
Comment 4 John Guthrie 2007-01-16 14:27:17 EST
This is still happening with kernel 2.6.18-2869.fc6.  The machine is a Compaq
Presario SR1300NX with an Asus A7V8X-LA motherboard.  The CPU is an AMD Sempron
3000+.  I have checked and the CPU fan is running.  I went out and attached a
case fan to the only case fan power port that I could find on the motherboard,
and the fan spun up, and the message is still being sepwed to my console and
syslog.  What's really funny is the following:

Jan 14 23:10:34 leibniz kernel: ACPI: Fan [FAN] (on)
Jan 14 23:10:34 leibniz kernel: ACPI: Unable to turn cooling device [c166ddec] 'on'

These are messages from bootup, and just before it utters the 'cooling device'
message for the first time, it says that some fan is actually on.  So why in the
world is it complaining about not being able to turn it on then!?  Is acpi
complaining about trying to turn on a device that is already on?

Here is the output of acpitool -t:

  Thermal zone 1 : passi, 36 C
  Trip points : 
  ------------- 
  critical (S5):           100 C
  passive:                 -248 C: tc1=4 tc2=3 tsp=60 devices=0xc166d338 
  active[0]:               -266 C: devices=0xc166ddec 

I don't know if this matters or not, but why is the trip point that relates to
the cooling device in question (0xc166ddec) set to just a few degrees centigrade
above absolute zero?
Comment 5 Chris Walker 2007-04-15 10:18:59 EDT
I still see this in 2.6.20-1.2944.  I presume this is an AMD specific issue. I
have an HP Pavillion a420n, another AMD system, not a 64 bit system.  As best I
can tell the problem is harmless, but it sure is annoying when you go to a
virtual console.
Comment 6 Tim Lauridsen 2007-05-01 02:51:28 EDT
I also got the same problem on a HP Pavillion a619.dk

CPU0: AMD Athlon(tm) XP 3000+ stepping 00

lot of dmesg spam 
ACPI: Unable to turn cooling device [c1587dec] 'on'


Comment 7 analogue 2007-05-14 09:59:49 EDT
Workaround available here:

http://www.centos.org/modules/newbb/viewtopic.php?topic_id=8158

Comment 8 Andrew Ziem 2007-10-28 11:35:57 EDT
The problem persists on the latest Fedora 7 i386.  I also have an AMD Athlon XP
3000+.

Linux z.localdomain 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007 i686
athlon i386 GNU/Linux
Comment 9 Chuck Ebbert 2007-10-29 15:07:14 EDT
2.6.23.1-10 should be out any say now, and is in koji now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=21666
Comment 10 David Nielsen 2007-10-30 01:48:58 EDT
Still happens with

kernel-2.6.23.1-37.fc8
Comment 11 Chuck Ebbert 2007-10-30 11:37:46 EDT
Does the workaround in comment #7 work?

This is probably a BIOS problem, all we can do is work around it.
Comment 12 David Nielsen 2007-10-31 04:23:39 EDT
kernel-2.6.23.1-41.fc8 strangely seems not to display this behaviour.. which is
mighty strange since nothing that should affect this has changed in between
those two kernels.

Very odd. 
Comment 13 John Guthrie 2007-12-06 18:57:32 EST
I have a machine that I upgraded to F7 a bit before F8 came out.  When I first
upgraded, the kernel was kernel-2.6.21-1.3194.fc7.  The workaround in comment #7
where you echo a string of trip points into
/proc/acpi/thermal_zone/THRM/trip_points fixed that kernel.  However, when I
upgraded to kernel-2.6.23.1-21.fc7, I received the error:

echo: write error: Input/output error

whenever I try to echo values into that file now.  It seems as though that file
was made read-only in the kernel between 2.6.21 and 2.6.23.1.  I will need to
see what happens when I upgrade to F8.
Comment 14 Bug Zapper 2008-04-03 13:50:18 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 15 David Nielsen 2008-04-03 13:59:17 EDT
This continues to happen on F-8 and devel. Workaround does not work
Comment 16 Bug Zapper 2008-05-13 22:15:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Andrew Ziem 2008-06-24 10:33:34 EDT
This continues on 2.6.25.6-55.fc9.i686
Comment 18 Daniel Senie 2008-09-11 14:17:34 EDT
This bug is present and easily reproduced with a system we have running RHEL 5.2. Please note that this needs to be fixed in the RHEL 5.x stream.

The system we see it on is an Aopen DE-965HG, which is a tiny box built on mobile componentry and which draws very little power. Nice test boxes, and nice remote servers to collect data, store and transmit. Inexpensive, too.
Comment 19 Zhang Rui 2008-09-11 21:48:47 EDT
There is a patch to fix this issue, which is already in Andi's ACPI test tree.
Please refer to
http://bugzilla.kernel.org/show_bug.cgi?id=11000
comment #30 #31 #32.
please give them a try.
Comment 20 Daniel Senie 2008-09-11 22:29:38 EDT
Thanks for the heads-up. Hopefully this will be wrapped into the next RHEL 5.x maint. I'm presently running a test kernel on the same box to deal with a Realtek Ethernet issue, so I'm not in a good position to roll in this fix right now. I am hoping both will make it into a bug fix patch to RHEL 5.2, and in releases beyond.
Comment 21 John Guthrie 2009-04-17 16:09:07 EDT
It's baaack....

leibniz_1001% rpm -q kernel
kernel-2.6.27.5-117.fc10.i686
kernel-2.6.27.21-170.2.56.fc10.i686
leibniz_1002% uname -a
Linux leibniz 2.6.27.21-170.2.56.fc10.i686.PAE #1 SMP Mon Mar 23 23:24:26 EDT 2009 i686 athlon i386 GNU/Linux
leibniz_1003% dmesg | tail -20
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'

This seems to be the latest F10 kernel, 2.6.27.21-170.2.56.
Comment 22 Daniel Senie 2009-04-17 16:16:16 EDT
This issue is also still happening in the RHEL release chain. The latest RHEL 5.3 kernel spews these messages. A work around or fix really would be appreciated, especially in the RHEL chain.
Comment 23 Zhang Rui 2009-04-19 23:29:04 EDT
boot option "acpi.power_nocheck=1" doesn't work any more?
Comment 24 Daniel Senie 2009-05-11 14:39:37 EDT
Are you suggesting that setting acpi.power_nocheck=1 is a work-around for this bug? If so, please explain, provide references or other. This particular bug report goes back 3 years, and this is the first mention of this boot option.

A quick test on a system exhibiting the behavior showed no change when this boot option was added.
Comment 25 Daniel Senie 2009-05-11 14:41:17 EDT
Output of acpitool on my system exhibiting the behavior:

# acpitool -t
  Thermal zone 1 : passi, 65 C
  Trip points : 
  ------------- 
  critical (S5):           200 C
  passive:                 50 C: tc1=4 tc2=3 tsp=60 devices=0xffff8800012372b0 
  active[0]:               50 C: devices=0xffff880000f7b990
Comment 26 John Guthrie 2009-05-14 04:03:41 EDT
(In reply to comment #23)
> boot option "acpi.power_nocheck=1" doesn't work any more?  

It doesn't seem to yet:
leibniz_1005% dmesg | tail
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
ACPI: Unable to turn cooling device [eb815f18] 'on'
leibniz_1006% cat /proc/cmdline
ro root=UUID=bd8c223b-daf4-4636-97bf-8a3ea838b87d rhgb acpi.power_nocheck=1
                                                       ^^^^^^^^^^^^^^^^^^^^
leibniz_1007% uname -a
Linux leibniz 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 athlon i386 GNU/Linux

Now looking at the URL in comment #19, it would appear that the patch for the above kernel command line option was committed to kernel 2.6.28-rc1, whereas the current kernel version is 2.6.27.21.  So we might have to wait until we have a 2.6.28 kernel before we see any relief for this bug.
Comment 27 John Guthrie 2009-05-14 04:14:58 EDT
(In reply to comment #25)
> Output of acpitool on my system exhibiting the behavior:
> 
> # acpitool -t
>   Thermal zone 1 : passi, 65 C
>   Trip points : 
>   ------------- 
>   critical (S5):           200 C
>   passive:                 50 C: tc1=4 tc2=3 tsp=60 devices=0xffff8800012372b0 
>   active[0]:               50 C: devices=0xffff880000f7b990  

Here is the output on my system:

leibniz_1008% acpitool -t
  Thermal zone 1 : passi, 39 C
  Trip points : 
  ------------- 
  critical (S5):           100 C
  passive:                 -248 C: tc1=4 tc2=3 tsp=60 devices=CPU0 
  active[0]:               -266 C: devices= FAN 

Note the temperatures that are approaching absolute zero.

One fix that was given all the way back in the URL in comment #7 seemed to indicate that at one time, you could simply echo trip points that were more sane into /proc/acpi/thermal_zone/THRM/trip_points.  At one time, this workaround did seem to work.  However, it stopped working when that file was made read-only.  Does anyone know why the trip_points file was made read-only and why the trip points seem to be reading so ridiculously low?
Comment 28 Bug Zapper 2009-06-09 18:13:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Zhang Rui 2009-06-09 21:50:16 EDT
cc Yakui
Comment 30 Andrew Ziem 2009-06-09 21:54:16 EDT
Someone please update version to F10.  I have this message 2371 times in dmesg on 2.6.27.19-170.2.35.fc10.i686
Comment 31 Daniel Senie 2009-06-09 22:15:37 EDT
Or just move it over onto RHEL 5.3, as it still happens there.
Comment 32 David Nielsen 2009-06-10 03:05:40 EDT
The AMD64 machine that displayed this problem has since ended it's life in a tragic io controller and mobo related suicide. Luckily it seems others are capable of reproducing this now.
Comment 33 Tim Lauridsen 2009-06-12 08:12:52 EDT
i have 2 machines making this error

http://www.smolts.org/client/show/pub_9efe092f-fb6c-41e6-abf3-bc76f72473c0
running Fedora 11.

http://www.smolts.org/client/show/?uuid=pub_899d8fc9-0d4d-4b81-8a28-5650d55881e9
running Fedora 10
Comment 35 yakui.zhao 2009-06-14 22:33:28 EDT
Hi
   Will you please try the latest kernel(2.6.30-rc7) and see whether the issue still exists?
   IMO this issue is related with the broken BIOS. OS will verfity the power state again in course of power device transition. If it is not the expected power state, it will complain the above the warning message.
   
   This issue can be fixed by adding the boot option of "acpi.power_nocheck=1" since the 2.6.28 kernel.
   
   Please try it and see whether it still exists. Thanks
Comment 36 Andrew Ziem 2009-07-28 21:39:50 EDT
The issue still exists in 2.6.29.6-213.fc11.i586 (no special boot options tested).
Comment 37 faith 2009-08-08 05:27:05 EDT
my Compaq Presario s6500nx has been stuck at 'loading' fc11 for a month now (soon after upgrade) with just the heavy white line across the bottom.  been using dell d600 meanwhile, but really need to get this one working again.  linux newbie here, just figured out to hit 'esc' and I see now it appears 'hung' with perpetual ...
acpi: unable to turn cooling device [f6c63f18] 'on'
acpi: unable to turn cooling device [f6c63f18] 'on'
acpi: unable to turn cooling device [f6c63f18] 'on'
acpi: unable to turn cooling device [f6c63f18] 'on'
(never stops this; won't boot)
h-e-l-p-!!  please say how/where to edit what, remember I'm green - thanks much
Comment 38 faith 2009-08-23 09:35:13 EDT
SOMEBODY???  ANYBODY???  It's been 15 days since I reported this.  Really need to get my Compaq working again.  HELP??
Comment 39 Andrew Ziem 2009-08-24 18:19:27 EDT
faith: I am 90% sure the ACPI messages are unrelated (they don't cause the symptom of not being able to start the system), so you need to focus somewhere else.
Comment 40 Andrew Ziem 2009-09-03 23:32:42 EDT
yakui.zhao:
>This issue can be fixed by adding the boot option of "acpi.power_nocheck=1"
>since the 2.6.28 kernel.

Tested, but I still get the message.  From grub:

kernel /boot/vmlinuz-2.6.29.6-217.2.16.fc11.i586 ro root=UUID=c2969cdd-a078-4dce-abba-d3b10e191cd8 rhgb quiet acpi.power_nocheck=1
Comment 41 Andrew Ziem 2009-09-10 22:08:55 EDT
After three years and 13 kernel releases, finally seems OK in 2.6.30.5-43.fc11.i586 :)
Comment 42 Bug Zapper 2009-11-18 02:52:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 43 Bug Zapper 2009-12-18 00:52:55 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.